/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "../../../vn/conversation/vnconversation.h"
#include "../../../vn/conversation/talk.h"
#include "../actions/look.h"

/**
 * Retreives the discussion based on some discussion data.
 * @param disc The discussion data to buffer into.
 * @param data The discussion data.
 */
void pokerDiscussionGet(pokerdiscussion_t *disc, pokerdiscussiondata_t *data);

/**
 * Queue a discussion data result onto the conversation stack.
 * 
 * @param data The discussion data.
 */
void pokerDiscussionQueue(pokerdiscussiondata_t *data);